{% extends "default_layout.html" %}
{% block content %}
<h1>/b/{{ board.name }}</h1>
<p>{{ board.descr }}</p>
<p>Category: {{ board.category_info.name }}</p>
<b>Subscribers: {{ board.sub_count }}</b>
<b>Board created by: <a href='/user/view?uid={{ board.user_info.id }}'>/u/{{ board.user_info.username }}</a></br>
{% if u != None %}
{% if u.is_subscribed(board.id) %}
<input type='button' class='form-btn' onclick='subscribe("{{ board.id }}",this);' value='Unsubscribe'>
{% else %}
<input type='button' class='form-btn' onclick='subscribe("{{ board.id }}",this);' value='Subscribe'>
{% endif %}
</br>
{% if u.mods(board.id) %}
<a href='/board/edit?bid={{ board.id }}'>Edit board</a>
{% endif %}
{% endif %}
<hr>
{% if posts %}
	{% for post in posts %}
		{% include 'post/brief.html' %}
	{% endfor %}
{% else %}
There are no posts yet on /b/{{ board.name }}.
{% endif %}
<script type='text/javascript'>
setInterval(update_content_time,1000);
</script>
{% endblock %}
